com.fasterxml.jackson.databind.deser

## Interface KeyDeserializers

- All Known Implementing Classes:
    SimpleKeyDeserializers, StdKeyDeserializers

      public interface KeyDeserializers

  Interface that defines API for simple extensions that can provide additional deserializers for deserializer Map keys of various types, from JSON property names. Access is by a single callback method; instance is to either return a configured `KeyDeserializer` for specified type, or null to indicate that it does not support handling of the type. In latter case, further calls can be made for other providers; in former case returned key deserializer is used for handling of key instances of specified type.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeyDeserializer` | `findKeyDeserializer(JavaType type, DeserializationConfig config, BeanDescription beanDesc)`

- - ### Method Detail

    - #### findKeyDeserializer

          KeyDeserializer findKeyDeserializer(JavaType type,
                                            DeserializationConfig config,
                                            BeanDescription beanDesc)
                                              throws JsonMappingException

      Throws:
        `JsonMappingException`